Subject: Re: FotoNotes extension (was: AtomPubIssuesList for 2005/02/22)

From: Danny Ayers <[email-masked]>
Date: Thu, 3 Mar 2005 14:03:14 +0100

On Wed, 23 Feb 2005 00:05:09 -0500, Robert Sayre <[email-masked]> wrote:
> 
> Paul Hoffman wrote:
> 
> > This is also a reasonable time to start creating format extensions  and
> > talking about them here.
> 
> Here's one that's sort of done:
> http://fotonotes.net/spec/index.cgi?FotoNotesSpecification
> 
> This is what will carry Flickr annotations, and they do it with Atom and
> RDF. They made a few mistakes. One of them centered around the purpose
> of atom:id. That means *smart people miss the point*, because it's a
> subtly different than RSS. I think starting the example atom:id with
> "urn:uuid" instead of "vemmi://" would help quite a bit.

Now the Tag URI scheme's [1] been approved by the IESG, maybe that's
worth considering again.

If I get chance I'll see what Yahoo's Media RSS looks like as Atom
(it's currently written for RSS 2.0). I had a play the other day and
it translated into RDF/XML with RSS 1.0 pretty nicely [2], I think it
could also lend itself to being a fairly format-agnostic vocabulary in
a similar manner to FotoNotes.

Cheers,
Danny.

[1] http://www.taguri.org/
[2] http://dannyayers.com/archives/2005/03/01/yahoo-rss-media-as-rdf/

-- 

http://dannyayers.com